libstdc++: std::const_mem_fun1_t< _Ret, _Tp, _Arg > Class Template Reference

libstdc++

std::const_mem_fun1_t< _Ret, _Tp, _Arg > Class Template Reference
Utilities » Function Objects » Adaptors for pointers to members

`#include <stl_function.h>`

Inheritance diagram for std::const_mem_fun1_t< _Ret, _Tp, _Arg >:
[legend]

## Public Types
typedef const _Tp * | first_argument_type
typedef _Ret | result_type
typedef _Arg | second_argument_type

## Public Member Functions
| const_mem_fun1_t (_Ret(_Tp::*__pf)(_Arg) const)
_Ret | operator() (const _Tp *__p, _Arg __x) const

## Detailed Description

template<typename _Ret, typename _Tp, typename _Arg>
class std::const_mem_fun1_t< _Ret, _Tp, _Arg >

One of the adaptors for member pointers.

Definition at line 1405 of file stl_function.h.

## Member Typedef Documentation

## ◆ first_argument_type

typedef const _Tp * std::binary_function< const _Tp *, _Arg, _Ret >::first_argument_type
| inherited

`first_argument_type` is the type of the first argument

Definition at line 137 of file stl_function.h.

## ◆ result_type

typedef _Ret std::binary_function< const _Tp *, _Arg, _Ret >::result_type
| inherited

`result_type` is the return type

Definition at line 143 of file stl_function.h.

## ◆ second_argument_type

typedef _Arg std::binary_function< const _Tp *, _Arg, _Ret >::second_argument_type
| inherited

`second_argument_type` is the type of the second argument

Definition at line 140 of file stl_function.h.

## Constructor & Destructor Documentation

## ◆ const_mem_fun1_t()

template<typename _Ret, typename _Tp, typename _Arg>

std::const_mem_fun1_t< _Ret, _Tp, _Arg >::const_mem_fun1_t | ( | _Ret(_Tp::* | __pf )(_Arg) const | ) |
| inlineexplicit

Definition at line 1409 of file stl_function.h.

## Member Function Documentation

## ◆ operator()()

template<typename _Ret, typename _Tp, typename _Arg>

_Ret std::const_mem_fun1_t< _Ret, _Tp, _Arg >::operator() | ( | const _Tp * | __p,
|  | _Arg | __x ) const
| inline

Definition at line 1413 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h